## opennebula 5.4.1

=== src/client/SConstruct ===
# SConstruct for src/pool

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_client'

source_files=['Client.cc']

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/common/SConstruct ===
# SConstruct for src/common

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_common'

# Sources to generate the library
source_files=[
    'ActionManager.cc',
    'Attribute.cc',
    'ExtendedAttribute.cc',
    'mem_collector.c',
    'NebulaUtil.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/ipamm/SConstruct ===
# SConstruct for src/vnm

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_ipamm'

# Sources to generate the library
source_files=[
    'IPAMManager.cc',
    'IPAMManagerDriver.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/mad/SConstruct ===
# SConstruct for src/mad

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_mad'

# Sources to generate the library
source_files=[
    'Mad.cc',
    'MadManager.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/rm/SConstruct ===
# SConstruct for src/rm

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_rm'

#Sources to generate the library
source_files=[
    'Request.cc',
    'RequestManager.cc',
    'RequestManagerInfo.cc',
    'RequestManagerPoolInfoFilter.cc',
    'RequestManagerDelete.cc',
    'RequestManagerAllocate.cc',
    'RequestManagerVirtualNetwork.cc',
    'RequestManagerVirtualMachine.cc',
    'RequestManagerVMTemplate.cc',
    'RequestManagerUpdateTemplate.cc',
    'RequestManagerUser.cc',
    'RequestManagerGroup.cc',
    'RequestManagerHost.cc',
    'RequestManagerImage.cc',
    'RequestManagerChown.cc',
    'RequestManagerAcl.cc',
    'RequestManagerChmod.cc',
    'RequestManagerCluster.cc',
    'RequestManagerClone.cc',
    'RequestManagerSystem.cc',
    'RequestManagerRename.cc',
    'RequestManagerProxy.cc',
    'RequestManagerVdc.cc',
    'RequestManagerZone.cc',
    'RequestManagerDatastore.cc',
    'RequestManagerLock.cc',
    'RequestManagerMarketPlaceApp.cc',
    'RequestManagerVirtualRouter.cc',
    'RequestManagerSecurityGroup.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/secgroup/SConstruct ===
# SConstruct for src/secgroup

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_secgroup'

# Sources to generate the library
source_files=[
    'SecurityGroupPool.cc',
    'SecurityGroup.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/sql/SConstruct ===
# SConstruct for src/pool

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_sql'

source_files=['LogDB.cc']

# Sources to generate the library
if env['sqlite']=='yes':
    source_files.append('SqliteDB.cc')

if env['mysql']=='yes':
    source_files.append('MySqlDB.cc')

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/template/SConstruct ===
# SConstruct for src/template

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_template'

if env['parsers']=='yes':
    # LEX
    parser=env.Lex(
        source='template_parser.l'
    )
    env.NoClean(parser)

    # BISON
    parser=env.Bison(
        source='template_syntax.y'
    )
    env.NoClean(parser)


# Sources to generate the library
source_files=[
    'Template.cc',
    'template_parser.c',
    'template_syntax.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/vm/SConstruct ===
# SConstruct for src/vm

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_vm'

if env['parsers']=='yes':
    # LEX
    parser=env.Lex(
    source='vm_var_parser.l'
    )
    env.NoClean(parser)

    # BISON
    parser=env.Bison(
    source='vm_var_syntax.y'
    )
    env.NoClean(parser)

    parser=env.Bison(
    source='vm_file_var_syntax.y'
    )
    env.NoClean(parser)

# Sources to generate the library
source_files=[
    'History.cc',
    'VirtualMachine.cc',
    'vm_var_parser.c',
    'vm_var_syntax.cc',
    'vm_file_var_syntax.cc',
    'VirtualMachinePool.cc',
    'VirtualMachineHook.cc',
    'VirtualMachineTemplate.cc',
    'VirtualMachineAttribute.cc',
    'VirtualMachineDisk.cc',
    'VirtualMachineNic.cc',
    'VirtualMachineSystemSnapshot.cc',
    'VirtualMachineParser.cc',
    'VirtualMachineContext.cc',
    'Snapshots.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/vmm/SConstruct ===
# SConstruct for src/vmm

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_vmm'

# Sources to generate the library
source_files=[
    'VirtualMachineManager.cc',
    'VirtualMachineManagerDriver.cc',
    'XenDriver.cc',
    'LibVirtDriverKVM.cc',
    'XMLDriver.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/vrouter/SConstruct ===
# SConstruct for src/document

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_vrouter'

# Sources to generate the library
source_files=[
    'VirtualRouter.cc'
]

# Build library
env.StaticLibrary(lib_name, source_files)

=== src/xml/SConstruct ===
# SConstruct for src/xml

# -------------------------------------------------------------------------- #
# Copyright 2002-2017, OpenNebula Project, OpenNebula Systems                #
#                                                                            #
# Licensed under the Apache License, Version 2.0 (the "License"); you may    #
# not use this file except in compliance with the License. You may obtain    #
# a copy of the License at                                                   #
#                                                                            #
# http://www.apache.org/licenses/LICENSE-2.0                                 #
#                                                                            #
# Unless required by applicable law or agreed to in writing, software        #
# distributed under the License is distributed on an "AS IS" BASIS,          #
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   #
# See the License for the specific language governing permissions and        #
# limitations under the License.                                             #
#--------------------------------------------------------------------------- #

Import('env')

lib_name='nebula_xml'

if env['parsers']=='yes':
    # LEX
    parser=env.Lex(
        source='expr_parser.l'
    )
    env.NoClean(parser)

    # BISON
    parser=env.Bison(
        source='expr_arith.y'
    )
    env.NoClean(parser)

    parser=env.Bison(
        source='expr_bool.y'
    )
    env.NoClean(parser)

source_files=['ObjectXML.cc',
              'expr_parser.c',
              'expr_bool.cc',
              'expr_arith.cc']

# Build library
env.StaticLibrary(lib_name, source_files)

=== debian/changelog ===
opennebula (5.4.1-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org> Tue, 19 Sep 2017 13:29:02 +0000

=== debian/control ===
Source: opennebula
Section: utils
Priority: extra
Maintainer: OpenNebula Team <contact@opennebula.org>
Uploaders: Damien Raude-Morvan <drazzib@debian.org>,
           Soren Hansen <soren@ubuntu.com>,
           Jaime Melis <jmelis@opennebula.org>
Build-Depends: bash-completion,
               bison,
               debhelper (>= 7.0.50~),
               default-jdk,
               flex,
               javahelper (>= 0.32),
               libmysql++-dev,
               libsqlite3-dev,
               libssl-dev,
               libws-commons-util-java,
               libxml2-dev,
               libxmlrpc3-client-java,
               libxmlrpc3-common-java,
               libxslt1-dev,
               libcurl4-openssl-dev,
               ruby,
               scons
Standards-Version: 3.9.3
Homepage: http://opennebula.org/
Vcs-Git: git://git.debian.org/pkg-opennebula/opennebula.git
Vcs-Browser: http://git.debian.org/?p=pkg-opennebula/opennebula.git

Package: opennebula
Architecture: any
Depends: apg,
         genisoimage,
         opennebula-tools (= ${source:Version}),
         ruby-opennebula (= ${source:Version}),
         wget,
         curl,
         ruby-json,
         ruby-uuidtools,
         ruby-amazon-ec2,
         ruby-parse-cron,
         qemu-utils,
         libcurl3,
         iputils-arping,
         ${misc:Depends}
Replaces: ruby-opennebula (<< 4.90.5),
          opennebula-sunstone (<< 5.0.2),
          opennebula-flow (<< 5.0.2),
          opennebula-gate (<< 5.0.2)
Breaks:  ruby-opennebula (<< 4.90.5),
         opennebula-sunstone (<< 5.0.2),
         opennebula-flow (<< 5.0.2),
         opennebula-gate (<< 5.0.2)
Suggests: mysql-server
Description: controller which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package contains OpenNebula Controller which manage all nodes in the
 cloud.

Package: opennebula-sunstone
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-opennebula (= ${source:Version}),
         opennebula-tools (= ${source:Version}),
         thin,
         ruby-json,
         ruby-sinatra,
         ruby-rack,
         python,
         python-numpy,
         ${misc:Depends}
Conflicts: opennebula (<< ${source:Version})
Description: web interface to which executes the OpenNebula cluster services
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 OpenNebula Sunstone is the new OpenNebula Cloud Operations Center,
 a GUI intended for users and admins, that will simplify the typical management
 operations in private and hybrid cloud infrastructures. You will be able to
 manage your virtual resources in a similar way as you do with the
 CLI.

Package: opennebula-gate
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-json,
         ruby-opennebula (= ${source:Version}),
         ruby-sinatra,
         ruby-rack,
         thin,
         ${misc:Depends}
Conflicts: opennebula (<< ${source:Version})
Description: send information to OpenNebula from the Virtual Machines.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the server part to enable communication between the
 Virtual Machines and OpenNebula

Package: opennebula-flow
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-json,
         ruby-opennebula (= ${source:Version}),
         ruby-sinatra,
         thin,
         curl,
         ${misc:Depends}
Conflicts: opennebula (<< ${source:Version})
Description: Manage services.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the server that allows service management.


Package: opennebula-common
Architecture: all
Depends: adduser, openssh-client, ${misc:Depends}
Recommends: lvm2, sudo (>= 1.7.2p1)
Description: empty package to create OpenNebula users and directories
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package sets up the basic directory structure and users needed to run
 an OpenNebula cloud.

Package: opennebula-node
Architecture: all
Depends: adduser,
         libvirt-daemon-system,
         qemu-kvm,
         opennebula-common (= ${source:Version}),
         ruby,
         vlan,
         ipset,
         pciutils,
         ${misc:Depends}
Recommends: openssh-server | ssh-server
Description: empty package to prepare a machine as OpenNebula Node
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package prepares the machine for being a node in an OpenNebula
 cloud.

Package: ruby-opennebula
Section: ruby
Architecture: all
Depends: ruby,
         ruby-mysql2,
         ruby-password,
         ruby-sequel,
         ruby-sqlite3,
         ruby-nokogiri,
         ruby-builder,
         ${misc:Depends},
         ${ruby:Depends}
Breaks: opennebula-gate (<< 4.90.5), opennebula-sunstone (<< 4.90.5)
Replaces: opennebula-gate (<< 4.90.5), opennebula-sunstone (<< 4.90.5)
Description: Ruby bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Ruby bindings.

Package: opennebula-tools
Architecture: all
Depends: opennebula-common (= ${source:Version}),
         ruby-opennebula (= ${source:Version}),
         ${misc:Depends},
         ${ruby:Depends}
Description: Command-line tools for OpenNebula Cloud
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula CLI.

Package: libopennebula-java
Section: java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends}
Description: Java bindings for OpenNebula Cloud API (OCA)
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the OpenNebula Cloud API (OCA) Java bindings.

Package: libopennebula-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Recommends: ${java:Recommends}
Description: Java bindings for OpenNebula Cloud API (OCA) - documentation
 OpenNebula is an open source virtual infrastructure engine that enables the
 dynamic deployment and re-placement of virtual machines on a pool of physical
 resources.
 .
 ONE (OpenNebula) extends the benefits of virtualization platforms from a
 single physical resource to a pool of resources, decoupling the server not
 only from the physical infrastructure but also from the physical location.
 .
 This package provides the documentation (Javadoc API) and examples for
 OpenNebula Cloud API (OCA) Java bindings.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

# Handle group assignment: libvirt (Debian) and libvirtd (Ubuntu)
ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes),yes)
	LIB_VIRT_GROUP = libvirt
	DISTRO = Ubuntu
else
	LIB_VIRT_GROUP = libvirt
	DISTRO = Debian8
endif

dpkg_buildflags = DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed" dpkg-buildflags

# injecting CPPFLAGS to CFLAGS and CXXFLAGS
export CPPFLAGS:=$(shell $(dpkg_buildflags) --get CPPFLAGS)
export CFLAGS:=$(shell $(dpkg_buildflags) --get CFLAGS) $(CPPFLAGS)
export CXXFLAGS:=$(shell $(dpkg_buildflags) --get CXXFLAGS) $(CPPFLAGS)
export LDFLAGS:=$(shell $(dpkg_buildflags) --get LDFLAGS)

%:
	dh $@ --with javahelper,bash-completion

override_dh_auto_build:
	#scons  mysql=yes new_xmlrpc=yes
	tar xzvf build_opennebula.tar.gz
	#XMLRPC_DIR="debian/" debian/build_opennebula.sh
	./build_opennebula.sh
	(cd src/oca/java/; \
	ln -s /usr/share/java/xmlrpc-common-3.1.jar lib/; \
	ln -s /usr/share/java/xmlrpc-client-3.1.jar lib/; \
	ln -s /usr/share/java/ws-commons-util.jar lib/; \
	./build.sh -d)

override_dh_auto_install:
	DESTDIR=dist ./install.sh
	dh_auto_install
ifneq (,$(filter opennebula-common, $(shell dh_listpackages)))
	dh_install -p opennebula-common share/pkgs/logrotate/opennebula /etc/logrotate.d/
	dh_install -p opennebula-common share/pkgs/${DISTRO}/opennebula.sudoers \
		/etc/sudoers.d
	mv debian/opennebula-common/etc/sudoers.d/opennebula.sudoers \
		debian/opennebula-common/etc/sudoers.d/opennebula
endif
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula.service \
		/lib/systemd/system/
	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula-scheduler.service \
		/lib/systemd/system/
	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula.conf /usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-sunstone.service \
		/lib/systemd/system/
	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-econe.service \
		/lib/systemd/system/
	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-novnc.service \
		/lib/systemd/system/

	cp share/pkgs/${DISTRO}-systemd/opennebula.conf \
		share/pkgs/${DISTRO}-systemd/opennebula-sunstone.conf
	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-sunstone.conf \
		/usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula-gate, $(shell dh_listpackages)))
	dh_install -p opennebula-gate share/pkgs/${DISTRO}-systemd/opennebula-gate.service \
		/lib/systemd/system/

	cp share/pkgs/${DISTRO}-systemd/opennebula.conf \
		share/pkgs/${DISTRO}-systemd/opennebula-gate.conf
	dh_install -p opennebula-gate share/pkgs/${DISTRO}-systemd/opennebula-gate.conf \
		/usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula-flow, $(shell dh_listpackages)))
	dh_install -p opennebula-flow share/pkgs/${DISTRO}-systemd/opennebula-flow.service \
		/lib/systemd/system/

	cp share/pkgs/${DISTRO}-systemd/opennebula.conf \
		share/pkgs/${DISTRO}-systemd/opennebula-flow.conf
	dh_install -p opennebula-flow share/pkgs/${DISTRO}-systemd/opennebula-flow.conf \
		/usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	dh_install -p opennebula-node share/etc/sysctl.d/bridge-nf-call.conf /etc/sysctl.d/
	dh_install -p opennebula-node share/pkgs/${DISTRO}-systemd/opennebula-node.conf \
		/usr/lib/tmpfiles.d/
endif
ifneq (,$(filter opennebula-tools, $(shell dh_listpackages)))
	cp share/install_gems/Ubuntu1704/Gemfile.lock dist/usr/share/one/
endif

override_dh_installinit:
ifneq (,$(filter opennebula, $(shell dh_listpackages)))
	dh_installinit -p opennebula --name=opennebula --onlyscripts --no-start
	dh_installinit -p opennebula --name=opennebula-scheduler --onlyscripts --no-start
endif
ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
	dh_installinit -p opennebula-sunstone --name=opennebula-sunstone --onlyscripts --no-start
	dh_installinit -p opennebula-sunstone --name=opennebula-econe --onlyscripts --no-start
	dh_installinit -p opennebula-sunstone --name=opennebula-novnc --onlyscripts --no-start
endif
ifneq (,$(filter opennebula-gate, $(shell dh_listpackages)))
	dh_installinit -p opennebula-gate --name=opennebula-gate --onlyscripts --no-start
endif
ifneq (,$(filter opennebula-flow, $(shell dh_listpackages)))
	dh_installinit -p opennebula-flow --name=opennebula-flow --onlyscripts --no-start
endif
	dh_installinit

override_dh_installdeb:
ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
	sed "s/@LIBVIRTGRP@/${LIB_VIRT_GROUP}/g" debian/opennebula-node.postinst.in > debian/opennebula-node.postinst
endif
	dh_installdeb

override_dh_fixperms:
	dh_fixperms
ifneq (,$(filter opennebula-common, $(shell dh_listpackages)))
	chmod 0440 debian/opennebula-common/etc/sudoers.d/opennebula
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dist/
	scons --clean .
	(cd src/oca/java/; \
	rm lib/xmlrpc-common-3.1.jar; \
	rm lib/xmlrpc-client-3.1.jar; \
	rm lib/ws-commons-util.jar; \
	rm -rf jar/; rm -rf share/doc/; \
	./build.sh -c)
	-rm -Rf .scons_temp
	-rm -Rf share/scons/lex_bison.pyc \
		src/nebula/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/.xmlrpc_test/xmlrpc_test.* \
		src/scheduler/src/sched/.xmlrpc_test \
		.xmlrpc_test
	-rm -Rf debian/opennebula-node.postinst

get-orig-source:
	uscan --force-download --no-symlink

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --exclude=opennebula

## opennebula 5.6.2

=== debian/changelog ===
opennebula (5.6.2-1) unstable; urgency=low

  * Imported from http://packages.qa.debian.org/o/opennebula.html

 -- OpenNebula Team <contact@opennebula.org> Thu, 31 Jan 2019 10:29:48 +0100

=== debian/control ===
--- 
+++ 
@@ -20,6 +20,8 @@
                libxmlrpc3-common-java,
                libxslt1-dev,
                libcurl4-openssl-dev,
+               libcurl4,
+               libsystemd-dev,
                ruby,
                scons
 Standards-Version: 3.9.3
@@ -31,26 +33,30 @@
 Architecture: any
 Depends: apg,
          genisoimage,
+         opennebula-common (= ${source:Version}),
          opennebula-tools (= ${source:Version}),
          ruby-opennebula (= ${source:Version}),
          wget,
          curl,
+         rsync,
          ruby-json,
          ruby-uuidtools,
          ruby-amazon-ec2,
          ruby-parse-cron,
          qemu-utils,
-         libcurl3,
+         libcurl4,
          iputils-arping,
          ${misc:Depends}
-Replaces: ruby-opennebula (<< 4.90.5),
+Replaces: ruby-opennebula (<< 5.5.80),
           opennebula-sunstone (<< 5.0.2),
           opennebula-flow (<< 5.0.2),
-          opennebula-gate (<< 5.0.2)
-Breaks:  ruby-opennebula (<< 4.90.5),
+          opennebula-gate (<< 5.0.2),
+          opennebula-common (<< 5.5.80)
+Breaks:  ruby-opennebula (<< 5.5.80),
          opennebula-sunstone (<< 5.0.2),
          opennebula-flow (<< 5.0.2),
-         opennebula-gate (<< 5.0.2)
+         opennebula-gate (<< 5.0.2),
+         opennebula-common (<< 5.5.80)
 Suggests: mysql-server
 Description: controller which executes the OpenNebula cluster services
  OpenNebula is an open source virtual infrastructure engine that enables the
@@ -156,6 +162,9 @@
          vlan,
          ipset,
          pciutils,
+         rsync,
+         cron,
+         augeas-tools,
          ${misc:Depends}
 Recommends: openssh-server | ssh-server
 Description: empty package to prepare a machine as OpenNebula Node
@@ -201,6 +210,8 @@
          ruby-opennebula (= ${source:Version}),
          ${misc:Depends},
          ${ruby:Depends}
+Replaces: opennebula (<< 5.5.90)
+Breaks: opennebula (<< 5.5.90)
 Description: Command-line tools for OpenNebula Cloud
  OpenNebula is an open source virtual infrastructure engine that enables the
  dynamic deployment and re-placement of virtual machines on a pool of physical
@@ -215,7 +226,10 @@
 Package: libopennebula-java
 Section: java
 Architecture: all
-Depends: ${java:Depends}, ${misc:Depends}
+Depends: ${java:Depends}, ${misc:Depends},
+         libws-commons-util-java,
+         libxmlrpc3-client-java,
+         libxmlrpc3-common-java
 Description: Java bindings for OpenNebula Cloud API (OCA)
  OpenNebula is an open source virtual infrastructure engine that enables the
  dynamic deployment and re-placement of virtual machines on a pool of physical
@@ -243,3 +257,9 @@
  .
  This package provides the documentation (Javadoc API) and examples for
  OpenNebula Cloud API (OCA) Java bindings.
+
+
+
+
+
+

=== debian/rules ===
--- 
+++ 
@@ -25,8 +25,17 @@
 override_dh_auto_build:
 	#scons  mysql=yes new_xmlrpc=yes
 	tar xzvf build_opennebula.tar.gz
+ifneq (,$(filter docker-machine-opennebula, $(shell dh_listpackages)))
+	tar xzvf opennebula-docker-machine-*.tar.gz
+endif
+ifneq (,$(filter opennebula-provision, $(shell dh_listpackages)))
+	tar xzvf opennebula-provision-*.tar.gz
+endif
+ifneq (,$(filter opennebula-cli-extensions, $(shell dh_listpackages)))
+	tar xzvf opennebula-cli-extensions-*.tar.gz
+endif
 	#XMLRPC_DIR="debian/" debian/build_opennebula.sh
-	./build_opennebula.sh
+	./build_opennebula.sh systemd=yes
 	(cd src/oca/java/; \
 	ln -s /usr/share/java/xmlrpc-common-3.1.jar lib/; \
 	ln -s /usr/share/java/xmlrpc-client-3.1.jar lib/; \
@@ -35,15 +44,28 @@
 
 override_dh_auto_install:
 	DESTDIR=dist ./install.sh
+ifneq (,$(filter docker-machine-opennebula, $(shell dh_listpackages)))
+	DESTDIR=dist ./install.sh -e
+endif
+ifneq (,$(filter opennebula-provision, $(shell dh_listpackages)))
+	(cd provision && \
+	DESTDIR=../dist ./install.sh)
+endif
+ifneq (,$(filter opennebula-cli-extensions, $(shell dh_listpackages)))
+	(cd cli-extensions && \
+	DESTDIR=../dist ./install.sh)
+endif
 	dh_auto_install
 ifneq (,$(filter opennebula-common, $(shell dh_listpackages)))
-	dh_install -p opennebula-common share/pkgs/logrotate/opennebula /etc/logrotate.d/
 	dh_install -p opennebula-common share/pkgs/${DISTRO}/opennebula.sudoers \
 		/etc/sudoers.d
 	mv debian/opennebula-common/etc/sudoers.d/opennebula.sudoers \
 		debian/opennebula-common/etc/sudoers.d/opennebula
 endif
 ifneq (,$(filter opennebula, $(shell dh_listpackages)))
+	dh_install -p opennebula share/pkgs/logrotate/opennebula /etc/logrotate.d/
+	dh_install -p opennebula share/pkgs/logrotate/opennebula-scheduler /etc/logrotate.d/
+
 	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula.service \
 		/lib/systemd/system/
 	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula-scheduler.service \
@@ -51,6 +73,10 @@
 	dh_install -p opennebula share/pkgs/${DISTRO}-systemd/opennebula.conf /usr/lib/tmpfiles.d/
 endif
 ifneq (,$(filter opennebula-sunstone, $(shell dh_listpackages)))
+	dh_install -p opennebula-sunstone share/pkgs/logrotate/opennebula-econe /etc/logrotate.d/
+	dh_install -p opennebula-sunstone share/pkgs/logrotate/opennebula-novnc /etc/logrotate.d/
+	dh_install -p opennebula-sunstone share/pkgs/logrotate/opennebula-sunstone /etc/logrotate.d/
+
 	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-sunstone.service \
 		/lib/systemd/system/
 	dh_install -p opennebula-sunstone share/pkgs/${DISTRO}-systemd/opennebula-econe.service \
@@ -64,6 +90,8 @@
 		/usr/lib/tmpfiles.d/
 endif
 ifneq (,$(filter opennebula-gate, $(shell dh_listpackages)))
+	dh_install -p opennebula-gate share/pkgs/logrotate/opennebula-gate /etc/logrotate.d/
+
 	dh_install -p opennebula-gate share/pkgs/${DISTRO}-systemd/opennebula-gate.service \
 		/lib/systemd/system/
 
@@ -73,6 +101,8 @@
 		/usr/lib/tmpfiles.d/
 endif
 ifneq (,$(filter opennebula-flow, $(shell dh_listpackages)))
+	dh_install -p opennebula-flow share/pkgs/logrotate/opennebula-flow /etc/logrotate.d/
+
 	dh_install -p opennebula-flow share/pkgs/${DISTRO}-systemd/opennebula-flow.service \
 		/lib/systemd/system/
 
@@ -83,11 +113,12 @@
 endif
 ifneq (,$(filter opennebula-node, $(shell dh_listpackages)))
 	dh_install -p opennebula-node share/etc/sysctl.d/bridge-nf-call.conf /etc/sysctl.d/
+	dh_install -p opennebula-node share/etc/cron.d/opennebula-node /etc/cron.d/
 	dh_install -p opennebula-node share/pkgs/${DISTRO}-systemd/opennebula-node.conf \
 		/usr/lib/tmpfiles.d/
 endif
 ifneq (,$(filter opennebula-tools, $(shell dh_listpackages)))
-	cp share/install_gems/Ubuntu1704/Gemfile.lock dist/usr/share/one/
+	cp share/install_gems/Ubuntu1804/Gemfile.lock dist/usr/share/one/
 endif
 
 override_dh_installinit:
